classification
Title: Build fails with --with-pydebug and --without-threads
Type: compile error Stage: resolved
Components: Build Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: vstinner Nosy List: Arfrever, berker.peksag, louis.dassy, python-dev, vstinner
Priority: normal Keywords: 3.5regression, patch

Created on 2015-08-03 09:06 by louis.dassy, last changed 2015-10-11 08:58 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
without-threads.patch louis.dassy, 2015-08-03 09:06 review
Messages (6)
msg247921 - (view) Author: Louis Dassy (louis.dassy) * Date: 2015-08-03 09:06
Build of default branch fails using --without-threads. I added the WITH_THREAD check around PyGILState_Check
msg252739 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2015-10-10 19:24
Calls to PyGILState_Check() in Python/fileutils.c were introduced in revisions 0b99d7043a99 and cfe541c694f3.
Call to PyGILState_Check() in Modules/socketmodule.c was introduced in revision 75fcc7a3738a.
msg252740 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2015-10-10 19:27
> Call to PyGILState_Check() in Modules/socketmodule.c was introduced in revision 75fcc7a3738a.

Actually that call was moved from another place.
msg252774 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-10-11 07:55
New changeset 3ab4f23ab983 by Victor Stinner in branch 'default':
Close #24784: Fix compilation without thread support
https://hg.python.org/cpython/rev/3ab4f23ab983
msg252777 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-10-11 08:12
New changeset 20ef719b1cb9 by Victor Stinner in branch '3.5':
Close #24784: Fix compilation without thread support
https://hg.python.org/cpython/rev/20ef719b1cb9
msg252790 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-10-11 08:58
It's now fixed, thanks.
History
Date User Action Args
2015-10-11 08:58:01vstinnersetmessages: + msg252790
2015-10-11 08:12:52python-devsetmessages: + msg252777
2015-10-11 07:55:00python-devsetstatus: open -> closed
resolution: fixed
messages: + msg252774

stage: resolved
2015-10-10 19:27:44Arfreversetmessages: + msg252740
2015-10-10 19:24:36Arfreversetassignee: vstinner

messages: + msg252739
nosy: + vstinner
2015-10-10 16:58:11Arfreversetkeywords: + 3.5regression
nosy: + Arfrever
title: Build fails --without-threads -> Build fails with --with-pydebug and --without-threads

versions: + Python 3.5
2015-08-03 09:06:58louis.dassycreate